---
title: "À propos de moi"
slug: "about"
layout: "about"
menu:
    main:
        weight: 2
        params: 
            icon: user
---

## Introduction

Passionné d'informatique depuis mon plus jeune âge, mon parcours est marqué par une curiosité insatiable et un désir constant d'apprendre. Dès l'enfance, j'ai plongé dans le monde de l'électronique, allant jusqu'à assembler mon premier ordinateur à partir de pièces récupérées. Cette expérience précoce a nourri ma fascination pour la technologie.

À 12 ans, j'ai fait mes premiers pas en programmation avec les scripts Batch, avant de me plonger rapidement dans le langage Java. Cette maîtrise m'a permis de créer des jeux vidéo en 3D utilisant OpenGL avec LWJGL 2/3, et même de participer à des compétitions de programmation de jeux vidéo en Java.

Mon parcours académique m'a conduit d'un BAC STI2D à un DUT Informatique à l'IUT de Limoges, où j'ai découvert Linux, devenu depuis mon système d'exploitation principal. J'ai ensuite poursuivi avec une Licence Professionnelle en développement web et du Big Data. Ces formations ont considérablement élargi mes horizons et renforcé mes compétences techniques.

Au fil des années, mon expertise s'est considérablement étendue. Du développement web avec React, Ruby on Rails, Symfony, Tailwindcss et Bootstrap, à la création d'applications mobiles avec Flutter, en passant par le développement système en Rust, j'ai acquis un large éventail de compétences. Ma passion pour les nouvelles technologies reste intacte, comme en témoigne mon intérêt récent pour l'intelligence artificielle.

Ce qui me caractérise, c'est ma soif d'apprentissage constante et ma capacité à m'adapter rapidement aux nouvelles technologies. Chaque projet est pour moi une opportunité d'approfondir mes connaissances et de relever de nouveaux défis, toujours guidé par ma curiosité et mon enthousiasme pour l'innovation technologique.

## Expérience professionnelle

### Axyus (CDI)
**Développeur Web, Mobile et Système** | *Octobre 2024 - Aujourd'hui*

### Unova (CDI) - 5 ans et 1 mois
**Développeur Web, Mobile et Système** | *Septembre 2019 - Octobre 2024*
* 3D (WebGL / Godot Engine)
* Front (React, Flutter, Tailwindcss, Bootstrap, SolidJS)
* Back (Symfony, Ruby on Rails)
* Devops (Rust, Docker, Gitlab-CI)

### Limouzik (Divers) - 2 ans et 3 mois
**Développeur Web, Application 2D et Devops** | *Avril 2017 - Juillet 2019*

* CDI (11 mois) | *Septembre 2018 - Juillet 2019*
    * Site web (Symfony, Bootstrap, ReactJS)
    * Application v2 (Unity 3D)
    * Serveur (Docker, Gitlab-CI, Nginx)

* Alternance (1 an) | *Septembre 2017 - Août 2018*
    * Site web (Symfony, Bootstrap, ReactJS)
    * Application v1 (ReactJS, Webpack)
    * Serveur (Docker, Gitlab-CI, Nginx)

* CDD (1 mois) | *Juillet 2017*
    * Site web (Symfony, Bootstrap, ReactJS)
    * Application v1 (ReactJS, Webpack)

* Stage (3 mois) | *Avril 2017 - Juin 2017*
    * Site web (Symfony, Bootstrap, ReactJS)
    * Application v1 (ReactJS, Webpack)


## Compétences

### Langages de programmation
- Java
- JavaScript / Typescript
- Ruby
- C#
- Rust

### Technologies et frameworks
- Docker
- Nginx / Traefik
- CI/CD (Gitlab CI, Github Actions)
- OpenGL
- Linux | Utilisation quotidienne + développement

### Soft skills
- Travail en équipe
- Résolution de problème
- Conception
- Autonomie

## Formation

### Licence Professionnelle en développement web et du Big Data
**IUT du Limousin** | *2017 - 2018*

### DUT Informatique
**IUT du Limousin** | *2015 - 2017*

### Bac STI2D SIN
**Lycée Jean Favard (Guéret)** | *2012 - 2015*
- STI2D : **S**ciences et **T**echnologies de l'**I**ndustrie et du **D**éveloppement **D**urable
- SIN : **S**ystèmes d'**I**nformation et du **N**umérique

## Concours

### Global Game Jam édition 2019

- **Lieu :** 3iL - Limoges
- **Date :** 25 janvier 2019 - 27 janvier 2019
- **Thème :** What home means to you
- **Objectif :** Développer un jeu en 48h à partir du thème donné
- **Participants :** Ezyrath, Fabien87, Flavien, MrDev023 (Moi), php4ever, spoutnik87
- **Technologie employée** : Unity 3D
- **Projet :** [Cauchemar en forêt](https://github.com/mrdev023/Global-Game-Jam-2019)

![Capture d'écran du projet](https://github.com/mrdev023/Global-Game-Jam-2019/blob/master/ggj_2019_maison.png?raw=true)

### Global Game Jam édition 2017

- **Lieu :** 3iL - Limoges
- **Date :** 20 janvier 2017 - 22 janvier 2017
- **Thème :** Waves
- **Objectif :** Développer un jeu en 48h à partir d'un thème donné
- **Participants :** emiko, Fiesta87, MrDev023 (Moi), TheKitolex
- **Technologies employées** : Java 1.8 et le moteur graphique que j'ai conçu pour l'occasion avec LWJGL 3
- **Projet :** [Beach Fighter](https://github.com/mrdev023/Global-Gam-Jam-2017/)

### Global Game Jam édition 2016

- **Lieu :** 3iL - Limoges
- **Date :** 29 janvier 2016 - 31 janvier 2016
- **Thème :** Ritual
- **Objectif :** Développer un jeu en 48h à partir d'un thème donné
- **Participants :** Aliths, dikaios, Fiesta87, MrDev023 (Moi), TheKitolex
- **Projet :** [Bifrost Saver's](https://github.com/mrdev023/Global-Game-Jam-2016)
- **Outils utilisés**: Java 1.8 et ACM Graphics

![Capture d'écran du projet](https://github.com/mrdev023/Global-Game-Jam-2016/blob/master/ggj_into.png?raw=true)

### Nuit de l’info édition 2016

- **Lieu :** Bordeaux
- **Date :** 1er décembre 2016 - 2 décembre 2016
- **Thème :** Venir en aide aux réfugiés
- **Objectif :** Développer un projet WebGL en 8h
- **Équipe :** echo "Avis de template"
- **Slogan :** Qui sème le vent récolte le Template
- **Projet :** [Lien vers le projet GitHub](https://github.com/mrdev023/NUIT_INFO_2_DECEMBRE_2016)
- **Résultats :**
  - 1er prix WebGL
  - 1er prix Méthode agile
